#include "__PLUGIN_NAME__PluginFactory.h"
#include "__PLUGIN_NAME__Plugin.h"

#include <QtPlugin>

__PLUGIN_NAME__PluginFactory::__PLUGIN_NAME__PluginFactory()
{
}

__PLUGIN_NAME__PluginFactory::~__PLUGIN_NAME__PluginFactory()
{
}

ritk::ApplicationPlugin*
__PLUGIN_NAME__PluginFactory::CreateInstance()
{
	return new __PLUGIN_NAME__Plugin();
}

QString 
__PLUGIN_NAME__PluginFactory::GetName()
{
	return ("__PLUGIN_NAME__");
}

QString 
__PLUGIN_NAME__PluginFactory::GetDescription()
{
	return ("__PLUGIN_DESCRIPTION__");
}


Q_EXPORT_PLUGIN2(__PLUGIN_NAME__Plugin, __PLUGIN_NAME__PluginFactory)

